{{ define "header_css" }}{{ end }}
{{ define "body_classes" }}page-contact-list{{end}}
{{ define "header_classes" }}{{ end }}

{{ define "main" }}

    {{ if .Params.hero }}
        {{ partial "framework/sections/hero/hero.html" (dict "context" $ "hero" .Params.hero) }}
    {{ else }}
        <div class="section">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        {{ partial "framework/sections/heading/heading.html" (dict "title" .Title "description" .Description )}}
                    </div>
                </div>
            </div>
        </div>
    {{ end }}

    {{ if or .Content .Params.contact }}
    <div class="section section-base-bg pt-3 pb-0">
        <div class="container">
            <div class="row">
                <div class="col-8">
                    <div class="content">{{ .Content }}</div>
                    {{ partial "framework/components/contact" (dict "contact" .Params.contact) }}
                </div>
            </div>
        </div>
    </div>
    {{ end }}

    <div class="section section-base-bg">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8">
                    {{ if .Params.contact.form_heading }}<h2>{{ .Params.contact.form_heading }}</h2>{{ end }}
                    {{ partial "framework/forms/form" . }}
                </div>
            </div>
        </div>
    </div>

    {{ if .Params.locations }}
    <div class="section section-base-bg section-border-top">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8">
                    <h2>Lieux</h2>
                </div>
                {{ range .Params.locations }}
                <div class="col-12 col-lg-6 mb-4 mb-lg-0">
                    <div class="location">
                        <h3>{{ .title | safeHTML }}</h3>
                        {{ if .address }}
                        <div>
                            <strong>Adresse :</strong>
                            {{ .address | safeHTML }}
                        </div>
                        {{ end }}
                        <ul>
                            {{ if .phone }}
                            <li>
                                <strong>Téléphone : </strong>
                                <a href="tel:{{ .phone }}">{{ .phone }}</a>
                            </li>
                            {{ end }}
                            {{ if .email }}
                            <li>
                                <strong>Email: </strong>
                                <a href="mailto:{{ .email }}">{{ .email }}</a>
                            </li>
                            {{ end }}
                            {{ if .google_map_text_link }}
                            <li>
                                <a href="{{ .google_map_text_link }}">Google Map Link</a>
                            </li>
                            {{ end }}
                        </ul>

                        {{ if .google_map_embed_link }}
                        <iframe src="{{ .google_map_embed_link }}" class="location-map-embed" width="600" height="450"
                            style="border:0;" allowfullscreen="" loading="lazy"
                            referrerpolicy="no-referrer-when-downgrade"></iframe>
                        {{ end }}
                    </div>
                </div>
                {{ end }}
            </div>
        </div>
    </div>
    {{ end }}

{{ end }}